const path = require('path')
const dir = path.resolve(_flitter.directories.models)

exports.up = async (ctx) => {
    const flap = ctx.flap

    await flap.write_file(path.resolve(dir, 'api.graphql'), `type Query {
    # Get a Greeting by name.
    greeting(id: String): Greeting,
    
    # Get all greetings.
    greetings: [Greeting],
}

# Homepage greeting messages.
type Greeting {
    id: String,
    name: String,
}
`)
}

exports.down = async (ctx) => {
    const flap = ctx.flap
    
    await flap.delete(path.resolve(dir, 'api.graphql'))
}
